cppcms::sessions Namespace Reference

this namespace keeps various session storage backends More...

## Classes

class | encryptor
| This is an interface to generic session cookies encryption or signing API. More...
class | encryptor_factory
| This is an interface for an object that creates new encryptors. More...
class | session_cookies
| The implementation of session_api using encrypted or signed cookies. More...
class | session_dual
| Client and Server side storage implementation of session_api. More...
class | session_sid
| An implementation of session_api that stores the data using session_storage and unique session id. More...
class | session_storage
| session_server_storage is an abstract class that allows user to implements custom session storage device like, database storage device More...
class | session_storage_factory
| The factory is an interface to a factory that creates session_storage objects, it should be thread safe. More...

## Typedefs

typedef session_storage_factory *(* | cppcms_session_storage_generator_type )(cppcms::json::value const &options)

## Detailed Description

this namespace keeps various session storage backends